POSTValidators

https://rpc-babylon-mainnet.nodit.io/

Retrieves the validator list at the specified block height.

Request Body
jsonrpcstring (enum)required

JSON-RPC protocol version. Always 2.0.

idintegerrequired

Identifier of the request. Returned unchanged as id in the response.

methodstring (enum)required

Name of the JSON-RPC method to call.

heightstring

Block height to query validators.

pagestring

Page number.

per_pagestring

Number of items per page.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

block_heightstring

Block height the result refers to.

validatorsobject[]

List of validators.

addressstring

Validator address.

pub_keyobject

Validator public key.

typestring

Public key type (for example, tendermint/PubKeyEd25519).

valuestring

Public key value (Base64).

voting_powerstring

Voting power of the validator.

proposer_prioritystring

Proposer priority.

countstring

Number of validators in this response.

totalstring

Total number of validators.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://rpc-babylon-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "validators",
  "params": {
    "height": "1",
    "page": "1",
    "per_page": "20"
  }
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "block_height": "1",
    "validators": [
      {
        "address": "B00A6323737F321EB0B8D59C6FD497A14B60938A",
        "pub_key": {
          "type": "tendermint/PubKeyEd25519",
          "value": "oX8HyvloaslMOq50t0UjM5WkxaB3VJFQ/E3AYkM/GKE="
        },
        "voting_power": "1000000",
        "proposer_priority": "0"
      }
    ],
    "count": "1",
    "total": "1"
  }
}